Overview

VISUALISATION 3D

Généralités

L'outil de visualisation 3D (Visionneur 3D) d’ARES fournit un moyen d’extruder un circuit et de le visualiser tel qu’il sera fabriqué. C’est une aide très utile lors de la conception et de la création du circuit.

Les fonctionnalités principales du visionneur 3D sont:

  • Représentation réaliste du circuit imprimé en trois dimensions.
  • Assistance pour l'affichage accéléré du matériel DirectX et OpenGL.
  • Assistance pour les modèles visuels 3D (3DS) et mécaniques (STEP, IGES).
  • Navigation intuitive du parcours de la carte et de l’accès à des zones d’intérêts.
  • Prise en compte des empreintes 3D dans la plupart de bibliothèques d’ARES.
  • Boutons de prévisualisation directe des vues haut/bas/face/arrière de la carte.
  • Rendu progressif pour permettre une navigation sur le circuit et les composants pendant le calcul du rendu des zones complexes telles que la sérigraphie et les pistes.
  • Gestion de la mémoire cache pour éviter de recalculer le circuit lorsqu’aucune modification n’est intervenue.
  • Génération des bandes colorées pour les résistances en relation avec la valeur du composant.
  • Description des empreintes 3D sous forme de scripts simples avec rendu temps réel.
  • Automatisation du processus de mise à jour des modèles visuels afin d’appliquer les empreintes 3D aux circuits existants.
  • Import/export de modèles aux formats standards STEP, IGES, STL et 3DS.

Notez que le visionneur 3D est une fonctionnalité avancée de Proteus, qui n’est disponible qu’à partir du niveau 2 de Proteus PCB.


NAVIGATION

Généralités

Le visionneur 3D se lance à partir du module disponible sur la barre d'outil de Proteus. En guise d'exemple, nous allons lancer le projet DBELL à partir de la page d'accueil du logiciel, 'Ouvrir exemple'.

En cliquant sur le module 'Visionneur 3D', nous obtenons l'écran suivant:

Si vous travaillezsur deux écrans à la fois où possédez un écran assez large, nous vous conseillons de faire glisser l'onget 3D dans une fenêtre à part afin de visualiser la carte en 3D et en 2D simultanément.

Navigation de base

Il n’est pas intuitif de se déplacer dans un espace 3D, lorsqu’on dispose d’une souris qui n’admet que des déplacements en 2 dimensions. Nous avons donc concentré nos efforts pour simplifier la navigation.

Utiliser les vues préféfinies

Huit vues prédéfinies sont disponibles:

  • Vue vers la face opposée

  • Vue de dessus
  • Vue de face
  • Vue de derrière
  • Vue de gauche
  • Vue de droite
  • Vue des limites en hauteur dans un bloc translucide
  • Vue des composants

Ces vues sont accessibles de plusieurs manières depuis le visionneur:

  • Via les commandes du menu ‘Affichage’ du visionneur 3D
  • Via la barre d’outils de la partie inférieure du visionneur 3D
  • Via les raccourcis claviers F8 à F12 lorsque le visionneur 3D est lancé

La barre d’outils de la navigation 3D

Ces possibilités permettent une visualisation immédiate du circuit – dans notre cas, la vue de gauche est peut-être la plus pertinente.

icône Vue de gauche

Pour terminer, vous pouvez valider une rotation automatique du circuit par la commande ‘Rotation automatique’ du menu ‘Affichage’ du visionneur 3D.

Les touches de direction (flèches) du clavier permettent d’affiner le positionnement du circuit pendant la visualisation.

Zoom avant et arrière

Il est fort probable que vous souhaitiez examiner le circuit de plus près. C’est une opération naturelle grâce à la molette centrale de la souris, qu’il vous suffit de tourner vers l’avant ou l’arrière pour zoomer avant et arrière respectivement.

Si votre souris n’intègre pas de molette, vous pouvez zoomer à l’aide d’une des techniques suivantes:

  • Via les options du menu ‘Affichage’

  • Via les icônes de la partie inférieure du visionneur

  • Via les raccourcis clavier F6 (zoom avant) et F7 (zoom arrière)

Une bonne façon de se représenter la vue courante est de considérer que la visualisation se fait par l’intermédiaire d’une caméra. Un zoom avant revient à se rapprocher du circuit et un zoom arrière s’en éloigne. Notez que la caméra ne se déplace pas le long de la carte, mais d’avant en arrière par rapport au centre.

Vous pouvez ajuster l’angle de vue de l’optique de la camera (entre 30 degrés et 60 degrés) par la commande ‘Caméra’ du menu ‘Réglages’. Dans la plupart des cas, la valeur par défaut est la meilleure.

Survoler le circuit

Les techniques évoquées précédemment sont utiles pour visualiser globalement le circuit, mais l’apport réel du visionneur 3D est d’examiner des zones d’intérêt – essentiellement par rapport à la vue courante.

Pour naviguer par rapport à la vue courante:

1) Pointez la souris au centre du circuit.

2) Cliquez gauche une fois – le curseur sera remplacé par une ‘cible’.

3) Déplacez la souris au-dessus du circuit, et utilisez la molette pour zoomer autour des régions d’intérêt.

4) Cliquez droit pour quitter ce mode.

Par exemple, vous pouvez déplacer la souris vers le banc de résistances en haut et à gauche de la vue courante et utiliser la molette pour analyser plus en détail cette zone.

Rappelez-vous que vous pouvez rapidement revenir à la vue précédente du circuit via les raccourcis clavier ou toute autre méthode déjà indiquée.

Il est important de comprendre que, lors d’un déplacement de la vue courante, ce n’est pas le circuit qui se déplace, mais la caméra.

Navigation avancée

Jusqu’à présent, nous avons navigué autour du circuit grâce aux vues prédéfinies. Cependant, il peut être utile de créer une vue personnalisée pour mieux voir certaines zones du circuit. Pour ce faire vous pouvez faire varier l’orbite de visualisation de la façon suivante :

Pour personnaliser le point de vue:

1) Pointez la souris au centre du circuit.

2) Enfoncez le bouton gauche de la souris. Un déplacement de la souris vers le haut ou le bas ajustera le tangage, alors qu’un déplacement vers la gauche ou la droite ajustera le lacet (direction).

3) Relâchez la souris lorsque vous avez obtenu la vue désirée – dès lors vous pouvez modifier la position la caméra en déplaçant la souris ou faire varier le zoom.

4) Cliquez droit avec la souris pour sortir de ce mode.

Les techniques de survol ou de rotation de la carte autorisent une visualisation selon n’importe quel angle ou position. C’est, cependant, une manipulation qui requiert un peu d’expérience (sauf pour les joueurs !). Sachez, qu’à tout instant, vous pouvez revenir à une vue prédéfinie via les raccourcis F8 à F12.


Customisation

PERSONNALISER LE CIRCUIT

Généralités

Le visionneur 3D fournit de nombreuses options pour vous permettre de personnaliser à la fois l’apparence et la visualisation du circuit. Ces commandes agissent sur le circuit et sont distinctes de la personnalisation des modèles et des empreintes – ces points sont évoqués plus loin.

Configuration des dimensions

La taille du circuit est déterminée par le bord du circuit (board edge) défini dans ARES. Cependant, vous pouvez configurer l’épaisseur du circuit et du cuivre depuis la commande ‘Dimensions’ du menu ‘Réglages’.

Configuration des dimensions dans le visionneur 3D

L’épaisseur du circuit est de 1.25mm, mais peut être ajustée dans les limites de 0.1mm à 10mm. L’épaisseur cuivre est la valeur d’extrusion des pistes et de la sérigraphie par rapport au circuit (il faut zoomer pour voir cela). Par défaut, la valeur est de 50um – l’ajuster à, disons 500um, fera nettement mieux ressortir les pistes.

La hauteur de dégagement au-dessus et en-dessous représente les dimensions du contenant de votre carte. Avec l'icône ci-dessous, vous pouvez ainsi visualiser les dimensions de votre contenant.

Icône hauteur de dégagement

Configuration des couleurs

Indépendamment des dimensions générales du circuit, vous pouvez contrôler les couleurs de base par la commande ‘Couleurs’ du menu ‘Réglages’.

Configuration des couleurs dans le visionneur 3D

Les options disponibles se comprennent naturellement et, bien que les valeurs par défaut soient parfaitement adaptées, il est simple de les modifier afin qu’elles correspondent à vos préférences. Par exemple, la carte ci-dessous est une représentation réaliste de la carte d’évaluation de Microchip Technology’s™ PICDEM 2+.

Vision 3D de la carte d’évaluation PICDEM2+


Height Plane Clearance

HAUTEUR DE DEGAGEMENT

Généralités

Cette fonctionnalité vous permet de définir une boite qui englobe votre circuit. Lorsqu’elle est validée, la boite qui englobe le circuit apparaîtra en couleur semi-transparente, ce qui permet de rapidement déterminer si tous les objets sont parfaitement inclus.

Visionneur 3D avec les distances de dégagements validées

Pour spécifier les dimensions de la boite englobante

  1. Lancez la commande ‘Dimensions’ du menu ‘Réglages’.

  2. Indiquez les hauteurs de dégagement haute (Top) et basse (Bottom).

  3. Validez avec le bouton OK pour sortir.

Pour valider la visualisation de la boite englobante

  1. Sélectionnez l’icône des limites 3D (à droite de la barre d’outils placée en bas du visionneur 3D)

OU

  2. Sélectionnez la commande ‘Limites de dégagement’ du menu ‘Affichage’ du visionneur.

Cette commande est un commutateur qui valide/dévalide la boite englobante.

Pour modifier la couleur de la boite englobante

  1. Depuis le visionneur the 3D, lancez la commande ‘Couleurs’ du menu ‘Réglages’.

  2. Cliquez sur la case à cocher Hauteur plan et modifiez la couleur.

  3. Cliquez sur OK pour quitter la boite de dialogue.


Output

SORTIE 3D

Impression

L’impression 3D est validée via la commande ‘Impression’ du menu ‘Fichier’ et configurée par la commande ‘Configuration imprimante’. Les deux points suivants sont à considérer:

1) L’impression 3D nécessite une imprimante couleur.

2) Le pilote d’impression doit supporter OpenGL.

Si l’une de ces deux conditions n’est pas remplie, vous obtiendrez une erreur lors de l’impression. Vous pourrez tout de même utiliser une copie écran manuelle (ALT+PRINTSCREEN) ou utiliser la fonction d’export expliquée ci-dessous.

Sortie MCAD

L'export de la carte une échange des données avec les CAOs mécaniques comme Solidworks, PTC ou Autodesk se fait habituellement via les formats STEP ou IGES. Ces options de sortie sont disponibles dans le menu 'Sortie' du module ARES.

Options d'échange de données M-CAD

Comme pour le visionneur 3D, ces options ne sont disponibles qu'à partir du niveau PCB 2.

Notez que l'export au format STEP demande beaucoup de temps. Pour une carte de petite dimension, il faut compter plusieurs minutes.

Règles d'export

  • La carte PCB est exporté.
  • Tous les trous sur la carte sont exportés.
  • Pour chaque empreinte de la carte, le model MCAD est exporté.
  • Si le model MCAD n'existe pas, une extrusion basique est exportée et apparaîtra en rouge.
  • Les références des composants sont exportées.
  • Les pistes, sérigraphies et autres objets ne sont pas exportés.

Il est essentiel que vous compreniez que les modèles visuels (fichiers 3DS) ne peuvent pas être exportés aux formats STEP et IGEs car ils sont davantage une collection de triangle qu'un objet. Pour l'export M-CAD, vous devez avoir un modèle dans l'onglet M-CAD de la boite de dialogue.

It is important to understand that visual models (3DS files) are not exported in a STEP or IGES file format as they are a collection of triangles rather than an object. For M-CAD export you must have a model in the M-CAD tab of the dialogue form.

Vous devez avoir une description géomètrique ou un fichier STEP dans cet onglet pour pouvoir exporter votre modèle dans un fichier STEP ou IGES.

Sortie graphique

Les sorties graphiques se font à partir de la commande 'Export 3DS' du menu 'Fichier' du module visionneur 3D. La différence est qu'en utilisant cette fonction, vous exportez tout ce qui est visible sur votre carte (sérigraphie, pistes, couches, zones, objets, trous, etc.).

Il est peu probable que le fichier résultant puisse être utilisé dans un environnement de CAO mécaniques, mais c'est néanmoins le fichier de sortie de visualisation le plus complet disponible.


Model Types

TYPES DE MODELES 3D

Généralités

En plus du visionneur 3D qui vous permet de visualiser le rendu en relief de votre carte, il faut dispoer des données 3D de chaque package du circuit. La plupart des empreintes fournies dans Proteus contiennent déjà ces informations, mais ce n'est pas le cas des composants que vous avez créés. Il y a 3 types de données 3D qui peuvent être utilisés:

Fichiers STEP ou IGES (Onglet MCAD)

Ces fichiers se trouvent facilement sur Internet (par exemple sur. www.3dcontentcentral.com). Les tailles de fichiers peuvent être importants.

Peut s'exporter en STEP Assembly.

Peut s'exporter en sortie graphique.

Peut être restitué dans le visionneur 3D si aucun model visuel n'est présent.

Importer en STEP ou IGES

Modèles géométriques (Onglet MCAD)

Ces modèle sont simples à entrer et de rendu rapide dans le visionneur. Ils sont particulièrement indiqués pour les modèles d'usage général et conviennent particulièrement pour les composants avec de très nombreuses broches pour lesquels les fichiers STEP peuvent être trop larges et lourds.

Peut s'exporter en STEP Assembly.

Peut s'exporter en sortie graphique.

Peut être restitué dans le visionneur 3D si aucun model visuel n'est présent.

Ecrire des modèles géomètriques dans Proteus

Fichiers 3DS (Onglet Visual Model Tab)

Créés dans de nombreux outils gratuits tel que Blender. Ce sont des modèles graphiques très détaillés qui ne sont pas adaptés pour un export vers Solidworks ou d'autres CAO mécaniques.

Ne peut pas s'exporter en STEP Assembly.

Peut s'exporter en sortie graphique.

Sera toujours restitué dans le visionneur 3D si spécifié (est prioritaire sur les modèles MACD pour le visionneur 3D).

Importer des modèles 3DS


Importing STEP or IGES Models

IMPORTER DES FICHIERS STEP OU IGES

Généralités

Les fichiers STEP et IGES sont communément utilisés par les CAOs mécaniques comme Solidworks. Proteus supporte à la fois l'import des modèles de packages individuels STEP et IGES et également l'export du circuit Proteus en STEP assemblé.

Importer un fichier STEP

1) Téléchargez le fichier STEP à partir du site Internet du fabricant ou d'autre site comme www.3dcontentcentral.com.

2) Placez le fichier STEP dans le répertoire MACD de Proteus. Par défaut, ce répertoire sera:

C:\ProgramData\Labcenter Electronics\Proteus 8 Professional\MCAD\

3) Validez le mode Package, choisissez votre package dans les bibliothèques et placez-le dans une zone libre de la fenêtre d'édition.

4) Sélectionnez le composant et lancez 'Créer package' du menu 'Bibliothèques' de l'onglet ARES.

5) Dans l'onglet 'Modèles mécaniques 3D', sélectionnez l'option 'Fichiers M-CAD (STEP ou IGES) et naviguez vers le fichier STEP correspondant.

6) Utilisez les commandes de positionnement et de rotation pour placer correctement le composant.

Exemple de fichier STEP

Notez que les fichiers STEP peuvent être de trés grande taille, ce qui n'est pas nécessaire dans la majorité des cas. Si vous avez des options de modification des fichiers STEP, il peut être utile d'en modifier la taille car celle-ci peut avoir un impact significatif sur les performance du logiciel. Vous pouvez également utiliser les modèles géométriques fournis par Labcenter pour les composants brochés de grande taille - cela ne vous empéchera pas de les exporter au format STEP.


Writing Geometric Models in ARES

ECRIRE DES MODELES GEOMETRIQUES DANS ARES

Généralités

Les modèles géomètriques 3D sont conçus pour travailler avec le visionneur 3D d'autant qu'ils n'occupent que trés peu d'espace sur le disque. Ils sont contenus dans les fichiers PDSPRJ. Nous les conseillons notamment pour les composant CMS avec un grand nombre de broches pour lesquels les fichiers STEP peuvent dépasser une taille de 10Mb. La documentation ci-dessous vous explique comment créer et définir un script de modèle 3D.

Le type de votre modèle dépendra totalement des dimensions du composant physique.

Ecrire un modèle géomètrique

1) Validez le mode Package, choisissez votre composant dans les bibliothqèues et placez-le dans la fenêtre d'édition.

2) Sélectionnez le composant, puis lancez la commande 'Créer package' à partir du menu 'Bibliothèques'.

3) Dans l'onglet 'Modèle mécanique 3D', sélectionnez l'option 'Description géomètrique'.

4) Utilisez le langage script Labcenter pour définir la forme et le type de votre modèle 3D. La syntaxe de description à utiliser est décrite plus bas dans cette documentation.

Notez que votre modèle géomètrique doit toujours commencer avec l'expression TYPE=X où 'X' correspond à un des types suivants:

- CUBOID

- EXTRUDED (Extrudé à partir de la sérigraphie). Notez que le package doit avoir un chemin graphique de sérigraphie fermé.

- AXIALCYLINDER

- NONE

Guide du langage de référence

Corps: Type EXTRUDED (par défaut)

Cette méthode, utilisée par défaut lorsqu’aucune propriété TYPE n’a été spécifiée, tente de définir un polygone fermé à partir d’un graphique sur une couche particulière, puis extrude le polygone selon la dimension Z. Si aucun polygone n’est trouvé, l’extrusion est identique à la déclaration TYPE=NONE.

La propriété LAYER peut servir à spécifier la couche qui contient le polygone fermé, sachant que les couches disponibles sont:

SILK MECH1 MECH2 MECH3

MECH4 KEEPOUT OCCUPANCY

Les couche par défaut est silk (sérigraphie).

Les propriétés standard suivantes sont également disponibles:

Propriétés | Description
COLOUR | Valeurs R,G,B de la couleur du corps.
MINHEIGHT | Hauteur de la base du corps par rapport à la partie supérieure du circuit.
MAXHEIGHT | Hauteur de la partie supérieure du corps par rapport à la partie supérieure du circuit.
X | Distance X de l’origine du corps par rapport à l’origine du circuit.
Y | Distance Y de l’origine du corps par rapport à l’origine du circuit.
ANGLE | Angle du corps relativement à l’angle du package (ex. ANGLE=45).

Une affectation de propriété dans le script se fait de manière conventionnelle:

<property>=<value>

sauf pour les couleurs qui sont affectées de la façon suivantes:

COLOUR=(r,g,b)

Corps : Type NONE

Le fait de déclarer ce type supprime à la fois le corps et les broches, pour ne conserver qu’un simple trou dans le circuit.

TYPE=NONE

Cependant, si vous avez besoin d’un pont (JUMPER) par exemple, vous pouvez ajuster le paramètre PINTYPE=STRAIGHT qui dessinera les pins.

-> Voir également le type de broches plus loin.

Corps : Type CUBOID

Ce type admet les propriétés suivantes:

Propriétés | Description
TYPE | Valide le type du corps (CUBOID dans ce cas).
COLOUR | Valeurs R,G,B pour la couleur du corps.
MINHEIGHT | Hauteur de la base du corps par rapport à la partie supérieure du circuit.
MAXHEIGHT | Hauteur de la partie supérieure du corps par rapport à la partie supérieure du circuit.
X | Distance X de l’origine du corps par rapport à l’origine du circuit.
Y | Distance Y de l’origine du corps par rapport à l’origine du circuit.
SX | Largeur du cube.
SY | Longueur du cube.
ANGLE | Angle du corps relativement à l’angle du package (ex : ANGLE=45).

Les exemples de ce type incluent des résistances CSM et des empreintes QFN dans nos bibliothèques utilisent ce type. Si vous placez un de ces composants, et accédez au choix ‘Visualisation 3D’ du menu contextuel, vous obtiendrez les propriétés ci-dessous:

TYPE=CUBOID

COLOUR=(75,75,75)

X=0.250mm

Y=-0.250mm

MINHEIGHT=0.100mm

MAXHEIGHT=0.800mm

SX=7.000mm

SY=7.000mm

PINTYPE=CUBOID

PINMAX=0.1mm

Ceci génère un cube 3D dans la zone d’aperçu. Une modification des valeurs indiquées mettra à jour la prévisualisation.

Aperçu 3D de la résistance 0805

Corps : Type AXIALCYLIDER

Ce type admet les propriétés suivantes pour un corps cylindrique axial:

Propriété | Description
TYPE | Valide le type du corps (CUBOID dans ce cas).
COLOUR | Valeurs R,G,B pour la couleur du corps.
MAXHEIGHT | Hauteur de la partie supérieure du corps par rapport à la partie supérieure du circuit.
X | Distance X de l’origine du corps par rapport à l’origine du circuit.
Y | Distance Y de l’origine du corps par rapport à l’origine du circuit.
LENGTH | Longueur du cylindre.
ANGLE | Angle du corps relativement à l’angle du package (ex : ANGLE=45).
RADIUS | Rayon du cylindre.
BEND | Position et couleurs des bandes pour une résistance.

Les deux derniers paramètres méritent un complément d’explication, car ils autorisent un contrôle évolué et permettent un codage automatique des bandes de couleurs des résistances.

La propriété RADIUS

De la forme:

RADIUS=P1,P2,P3,P4

Où:

  • P1 - Contrôle le rayon vertical du cylindre.

  • P2 - Contrôle le rayon horizontal du cylindre.

  • P3 - Contrôle la profondeur du rayon dans l’axe du cylindre.

  • P4 - Contrôle la profondeur du rayon le long de l’axe du cylindre.

es deux premiers paramètres autorisent la création de corps elliptiques et les deux derniers sont une extension aux formes torpilles.

Sachez qu’il n’est pas obligatoire de renseigner les quatre paramètres lorsque la forme ne le justifie pas. La valeur par défaut pour le premier paramètre est une petite valeur qui permet de visualiser le cylindre. La valeur par défaut pour le deuxième rayon est la duplication du premier paramètre. La valeur par défaut pour le troisième paramètre est zéro. La valeur par défaut pour le quatrième paramètre est celle du troisième.

La propriété BAND

De la forme:

BANDx=P1,P2,(r,g,b)

Où x est un nombre de 1 à 9 (jusqu’à 9 bandes autorisées) et:

  • P1 - Point de départ de la bande le long de l’axe du cylindre (pourcentage de la taille du cylindre).

  • P2 - Point terminal de la bande le long de l’axe du cylindre (pourcentage de la taille du cylindre).

  • RGB - Couleur de la bande. Lorsque cette valeur est omise, la couleur par défaut est déduite de la valeur du composant, ce qui permet un codage de couleur automatique des résistances.

La plupart des résistances de nos bibliothèques sont créées de cette façon. Par exemple, prenez RES40 et lancez la commande de visualisation 3D à partir du menu contextuel sur clic droit.

Vous devriez obtenir un script de la forme:

TYPE=AXIALCYLINDER

MAXHEIGHT=2

LENGTH=0.2in

RADIUS=0.027in,0.027in,0.2mm,0.2mm

X=0.2in

Y=0.0in

COLOUR=(128,64,64)

BAND1=20,25

BAND2=30,35

BAND3=40,45

BAND4=50,55

BAND5=80,85,(128,128,0)

Vous noterez qu’aucune couleur n’a été spécifiée pour les bandes, car nous souhaitions que le visionneur 3D calcule automatiquement le code des couleurs en relation avec la valeur de la résistance. Nous indiquons seulement que la BAND1 commence à 20% le long du cylindre pour se terminer à 25%, BAND2 commence à 30% et se termine à 35%, etc.

Le package RES40 en aperçu 3D

Le calcul des valeurs des bandes de couleur n’intervient que lorsque le visionneur 3D est appelé pour le circuit. Testez une valeur pour RES40 puis appelez le visionneur depuis le menu ‘Sortie’ pour apprécier le résultat.

Types de broches

Après avoir personnalisé le corps de l’empreinte, il est parfois nécessaire de modifier le type de broches du modèle 3D.

Il existe 6 types de broches:

Si vous ne souhaitez aucune de ces 6 broches, alors tapez PINTYPE=NONE

Le type de broches par défaut dépend du style de pastille d’ARES et de la façon dont la pastille est placée sous l’empreinte 3D.

Pour les pastilles traversantes, le style de broches est BENTWIRE, à moins que la broche soit sous le corps du composant ou qu’il n’y ait pas de boîtier attaché car, dans ce cas, le type par défaut devient STRAIGHT. Pour les composants à montage de surface, le style est SMTZ, sauf lorsque la broche est sous le package ou qu’il n’y a pas de package attaché car, dans ce cas, le type par défaut est SMTJ.

Ces valeurs par défaut fonctionnent bien, mais il est possible de les modifier via une affectation tel que PINTYPE=xxxxxx.

Propriétés | Description
PINCOLOUR | Valeurs R,G,B pour la couleur de la broche.
PINMAX | Indique le plus grand allongement de la broche par rapport à la surface du circuit. La propriété est utilisée pour tous les types de broches.
PINMIN | Indique la plus petit allongement de la broche par rapport à la surface du circuit. Pour les broches traversantes, la valeur sera probablement négative, pour des broches CMS, ce sera probablement zéro.
PINDIAMETER | Pour des broches STRAIGHT et BENTWIRE, ceci contrôle le diamètre de la broche. Pour SMTB, la propriété contrôle le diamètre de l’hémisphère.
PINLENGTH | Pour SMTJ et SMTZ ceci contrôle la longueur de la base de la broche.
PINTHICKNESS | Pour SMTJ et SMTZ ceci contrôle l’épaisseur de la broche.
PINWIDTH | Pour SMTJ et SMTZ ceci contrôle la largeur de la broche.
PINMOVE | Rapproche ou éloigne les broches de la frontière du package, de la valeur spécifiée par cette propriété.

Deux propriétés additionnelles, appelées PINANGLEABS et PINANGLEREL sont également disponibles. Elles vous permettent de mieux préciser la position d'une ou plusieurs broches.

Exemple:

PINANGLEABS=90 : Toutes les broches sont tournées avec un angle de 90 °C absolu.

PINANGLEABS[1]=90 : La broche 1 est tournée avec un angle de 90 °C absolu.

PINANGLEREL=90: Toutes les broches sont tournées avec un angle de 90°C relatif par rapport à l'angle formé par la broche centrale et le corps du composant.

PINANGLEREL[1]=90 : La broche 1 est tournée avec un angle de 90 °C relatif ar rapport à l'angle formé par la broche centrale et le corps du composant.

PINANGLEREL et PINANGLEABS ne sont pas nécessaires dans la majorité des cas.


Importing 3D Visual Models

IMPORTER DES MODELES VISUELS 3DS

Généralités

Les modèles visuels 3D (fichiers 3DS) peuvent être importés dans le visionneur 3D en suivant la procédure ci-dessous:

Utiliser un modèle visuel créé dans un autre package:

  1. Exportez le modèle de votre package dans un fichier au format 3DS. Placez le fichier 3DS dans le dossier ‘Bibliothèques’ de l’installation Proteus.

  2. Placez l'empreinte dans ARES et sélectionnez l'option de visualisation 3D à partir du menu contextuel. Votre boite de dialogue ressemblera à l'image ci-dessous:

  3. Tapez le nom du fichier en incluant l'extension.

  4. Entrez le nom d'objet présent dans le fichier 3DS que vous souhaitez afficher. Les fichiers 3DS peuvent contenir des composants multiples; chaque composant doit avoir un nom.

Le visionneur 3D opère en terme de nombres et non de dimensions physiques. Vous devez spécifier la taille et l'unité de mesure utilisée pour chaque modèle : par ex. 1mm, 1in, 1cm etc.

Vous pouvez aussi ajuster la position de votre modèle 3D en utilisans les champs Offset X/Y.

Conseils pour créer un modèle visuel 3DS

La clé du succès pour créer un bon modèle 3D consiste en un compromis entre un niveau de détail acceptable, qui permet une représentation réaliste, et un nombre de polygones faible, qui limite les calculs 3D.

L’exemple classique pour lequel les deux critères sont en conflit est le cylindre: le nombre de facettes nécessaires à l’approximation du cylindre doit être judicieusement choisi afin de ne pas préempter trop de ressources système.

Voici quelques règles à prendre en compte pour créer des composants 3D de bonne qualité visuelle:

1) Ajoutez suffisamment de détails pour représenter de manière non ambigüe le composant en question – sans plus.

2) Utilisez le minimum de polygones possible: si le modèle contient deux fois plus de polygones que nécessaire, il sera plus fois plus long à dessiner. Ceci devient vite gênant pour un circuit complexe qui contient de nombreux composants.

3) Les formes lissées et non planes (les courbes) sont un exemple de forme qui aboutissent à de nombreux polygones. Dans ce cas, l’astuce est d’utiliser le lissage (smoothing).

4) Veillez à toujours à contrôler le nombre de vecteurs et de faces du modèle. S’ils atteignent le millier pour un élément complexe, vous être certainement en train d’ajouter des détails superflus qui généreront des polygones inutiles.

5) N’hésitez pas à rependre à la main les résultats générés par les logiciels 3D qui produisent, souvent, des données non optimisées.

6) L’import suppose que le modèle contienne un simple objet au format de fichier *.3DS, bien qu’il soit possible de fusionner (merge) plusieurs objets pour créer l’objet final – vous lui donnerez alors le nom qui convient.


Updating Old Designs with 3D Data

IMPORTER UN PROJET EXISTANT AVEC DONNEES 3D

Généralités

Lorsque vous ouvrez le visionneur 3D pour un projet issu d'une version ancienne de Proteus, ou contenant des empreintes déjà créées, vous verrez que celles-ci apparaîtront de couleur rouge. Ceci indique que le modèle 3D n'existe pas pour les empreintes concernées et qu'une simple extrusion à partir de la sérigraphie a été utilisée pour fournir les données 3D basiques.

Si la carte a été créée à partir d'une ancienne version du logiciel, vous pouvez aplliquer automatiquement les données du modèle MACD à la carte en utilisant la commande 'Mettre à jour modèle 3D' du menu 'Bibliothèques' de l'onglet ARES. Cette action mettra à jour tous les packages de la carte avec les données 3D des composants contenus dans les bibliothèques.

De façon similaire, la commande 'Mettre à jour les modèles visuels' dans le menu 'Fichier' de l'onglet Visionneur 3D permet de mettre à jour tous les composants avec les modèles 3D contenus dans les bibliothèques.

Ces commandes n'affecteront que les composants pour lesquels des modèles 3D existent dans les bibliothèques. Les composants qui n'ont pas de données 3D associées resteront en rouge et vous devrez créer un modèle 3D pour chacun d'entre eux, comme expliqué ici.

Si l'extrusion vous suffit, vous pouvez simplement changer la couleur de vos composants; mettez COLOUR=(50,50,50) et vos composants apparaîtront en gris. La syntaxe pour le changement de couleur est la suivant :COLOUR=(R,G,B).


Troubleshooting

DEPANNAGE

Vous ne sera pas surpris d’apprendre qu’un modèle 3D nécessite une puissance de calcul non négligeable, qui peut se révéler problématique avec un ordinateur trop ancien. De même, il est évident que le rendu d’un circuit est proportionnel à sa complexité, sachant que certaines entités ont également des effets négatifs.

La vitesse de rendu des scènes 3D dépend de plusieurs facteurs, tels que : le nombre et la complexité de représentation des composants ; la complexité du routage, du perçage et de la sérigraphie ; la mémoire vive de l’ordinateur disponible ; la carte vidéo utilisée ; les limitations du driver vidéo.

Le nombre et la complexité des composants affecte le nombre total de polygones de la scène ; plus il y en a, plus cela prendra de temps à calculer leur influence 3D.

La complexité du circuit (trous et pistes) influe également sur le nombre de polygones, mais également sur la charge de calcul dans les algorithmes de prétraitements qui déterminent le nombre de polygones final et améliorent la qualité visuelle. Les objets qui peuvent ralentir le rendu sont les zones hachurées et les pistes courbes.

Le traitement et la sauvegarde des scènes 3D peuvent consommer une quantité importante de mémoire qui, dans certains cas, provoque un swap sur disque qui ralentit sensiblement le processus.

Tous les prix sont possibles pour les cartes « vidéo » avec, en général, une corrélation entre le prix et la vitesse de rendu des scènes 3D. Les cartes chères possèdent généralement des fonctionnalités additionnelles. Certaines cartes ont des limitations, comme le fait de ne pas pouvoir piloter un deuxième moniteur ou de le faire plus lentement.